"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiResponseErrorCode = void 0;
var ApiResponseErrorCode;
(function (ApiResponseErrorCode) {
    ApiResponseErrorCode[ApiResponseErrorCode["PARSE_ERROR"] = -32700] = "PARSE_ERROR";
    ApiResponseErrorCode[ApiResponseErrorCode["INVALID_REQUEST"] = -32600] = "INVALID_REQUEST";
    ApiResponseErrorCode[ApiResponseErrorCode["METHOD_NOT_FOUND"] = -32601] = "METHOD_NOT_FOUND";
    ApiResponseErrorCode[ApiResponseErrorCode["INVALID_PARAMS"] = -32602] = "INVALID_PARAMS";
    ApiResponseErrorCode[ApiResponseErrorCode["INTERNAL_ERROR"] = -32603] = "INTERNAL_ERROR";
    ApiResponseErrorCode[ApiResponseErrorCode["SERVER_ERROR_BEGIN"] = -32000] = "SERVER_ERROR_BEGIN";
    ApiResponseErrorCode[ApiResponseErrorCode["AUTH_NOT_LOGIN"] = -32001] = "AUTH_NOT_LOGIN";
    ApiResponseErrorCode[ApiResponseErrorCode["AUTH_EXPIRED"] = -32002] = "AUTH_EXPIRED";
    ApiResponseErrorCode[ApiResponseErrorCode["PARAM_EMPTY"] = -32010] = "PARAM_EMPTY";
    ApiResponseErrorCode[ApiResponseErrorCode["PARAMETER_ERROR"] = -32011] = "PARAMETER_ERROR";
    ApiResponseErrorCode[ApiResponseErrorCode["JAVA_BUSINESS_ERROR"] = -32020] = "JAVA_BUSINESS_ERROR";
    ApiResponseErrorCode[ApiResponseErrorCode["NODE_BUSINESS_ERROR"] = -32021] = "NODE_BUSINESS_ERROR";
    ApiResponseErrorCode[ApiResponseErrorCode["SERVER_ERROR_END"] = -32099] = "SERVER_ERROR_END";
    ApiResponseErrorCode[ApiResponseErrorCode["UNKNOWN"] = -1] = "UNKNOWN";
    ApiResponseErrorCode[ApiResponseErrorCode["APPLICATION_BEGIN"] = 1] = "APPLICATION_BEGIN";
})(ApiResponseErrorCode = exports.ApiResponseErrorCode || (exports.ApiResponseErrorCode = {}));
//# sourceMappingURL=ApiResponseErrorCode.js.map