import { ApiResponseErrorCode } from "./ApiResponseErrorCode";

/**
 * 表示一个API响应错误。
 */
export class ApiResponseError {
  constructor() {}

  /**
   * 使用数值表示该异常的错误类型，必须为整数。
   */
  code: ApiResponseErrorCode = ApiResponseErrorCode.UNKNOWN;

  /**
   * 错误信息
   */
  message = "";

  /**
   * 错误详情
   */
  data: any;
}
