import { DateUtils } from ".";

describe("测试日期工具类", () => {
  test("测试日期格式化", () => {
    expect(DateUtils.dataFormat(1644851758464, true)).toEqual("2022-02-14 23:15:58");
  });
  test("测试时间格式化", () => {
    expect(DateUtils.timeFormat(1644851758464)).toEqual("23:15:58");
  });
  test("测试当月第一天日期获取", () => {
    expect(DateUtils.getFirstDay(1644978975425)).toEqual("2022-02-01");
  });
  test("测试下月第一天日期获取", () => {
    expect(DateUtils.getFirstDayOfNextMonth(1644978975425)).toEqual("2022-03-01");
  });
});
