import { ApiRequest, ApiResponse } from "..";
export declare class ApiClient {
    static clientMocks: {
        [key: string]: (request: any) => Promise<any>;
    };
    constructor(baseUrl: string, timeoutSeconds?: number, headers?: {
        [key: string]: string;
    });
    sendAsync<TRequest extends ApiRequest, TResponse extends ApiResponse>(request: TRequest): Promise<TResponse>;
    private axiosInstance;
    private baseUrl;
}
