/**
 * 定义API客户端可能产生的错误类型。
 */
export enum ApiClientErrorType {
  /**
   * 未知错误
   */
  Unknown = -1,

  /**
   * 业务应用错误
   */
  Application,

  /**
   * 错误的HTTP状态码
   */
  BadHttpStatus,

  /**
   * 网络连接故障
   */
  BadNetwork,

  /**
   * 数据格式损坏
   */
  BadResponseData
}
