export declare enum ApiResponseErrorCode {
    PARSE_ERROR = -32700,
    INVALID_REQUEST = -32600,
    METHOD_NOT_FOUND = -32601,
    INVALID_PARAMS = -32602,
    INTERNAL_ERROR = -32603,
    SERVER_ERROR_BEGIN = -32000,
    AUTH_NOT_LOGIN = -32001,
    AUTH_EXPIRED = -32002,
    PARAM_EMPTY = -32010,
    PARAMETER_ERROR = -32011,
    JAVA_BUSINESS_ERROR = -32020,
    NODE_BUSINESS_ERROR = -32021,
    SERVER_ERROR_END = -32099,
    UNKNOWN = -1,
    APPLICATION_BEGIN = 1
}
