"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateUtils = void 0;
var DateUtils = (function () {
    function DateUtils() {
    }
    DateUtils.dataFormat = function (date, hasTime) {
        var dateObj = new Date(date);
        var YY = dateObj.getFullYear() + "-";
        var MM = (dateObj.getMonth() + 1 < 10 ? "0" + (dateObj.getMonth() + 1) : dateObj.getMonth() + 1) + "-";
        var DD = dateObj.getDate() < 10 ? "0" + dateObj.getDate() : dateObj.getDate();
        var dateStr = YY + MM + DD;
        if (hasTime) {
            var hh = (dateObj.getHours() < 10 ? "0" + dateObj.getHours() : dateObj.getHours()) + ":";
            var mm = (dateObj.getMinutes() < 10 ? "0" + dateObj.getMinutes() : dateObj.getMinutes()) + ":";
            var ss = dateObj.getSeconds() < 10 ? "0" + dateObj.getSeconds() : dateObj.getSeconds();
            return "".concat(dateStr, " ").concat(hh + mm + ss);
        }
        return dateStr;
    };
    DateUtils.timeFormat = function (date) {
        var dateObj = new Date(date);
        var hh = (dateObj.getHours() < 10 ? "0" + dateObj.getHours() : dateObj.getHours()) + ":";
        var mm = (dateObj.getMinutes() < 10 ? "0" + dateObj.getMinutes() : dateObj.getMinutes()) + ":";
        var ss = dateObj.getSeconds() < 10 ? "0" + dateObj.getSeconds() : dateObj.getSeconds();
        return "".concat(hh + mm + ss);
    };
    DateUtils.getFirstDay = function (date) {
        var oDate = new Date(date);
        var month = oDate.getMonth() + 1;
        if (month < 9) {
            month = "0" + month;
        }
        return oDate.getFullYear() + "-" + month + "-01";
    };
    DateUtils.getFirstDayOfNextMonth = function (date) {
        var oDate = new Date(date);
        var year = oDate.getFullYear();
        var month = oDate.getMonth() + 1;
        if (month === 12) {
            month = 1;
            year += 1;
        }
        else {
            month += 1;
        }
        if (month < 9) {
            month = "0" + month;
        }
        return year + "-" + month + "-01";
    };
    return DateUtils;
}());
exports.DateUtils = DateUtils;
//# sourceMappingURL=index.js.map