/**
 * 包含随机数据生成逻辑。
 */
export class Randomizer {
  /**
   * 生成一个随机字符串。
   */
  static generateString(length: number, characterPool = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789") {
    let result = "";
    for (let i = 0; i < length; i++) {
      result += characterPool[Math.floor(Math.random() * characterPool.length)];
    }
    return result;
  }
}
